<?php 
function imprimir($id){

require __DIR__ . '\autoload.php'; //Nota: si renombraste la carpeta a algo diferente de "ticket" cambia el nombre en esta línea
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;

$nombre_impresora = "BIXOLON SRP-F312"; 
$connector = new WindowsPrintConnector($nombre_impresora);
$printer = new Printer($connector);

#Mando un numero de respuesta para saber que se conecto correctamente.
echo 1;

$printer->setJustification(Printer::JUSTIFY_CENTER);

try{
	$printer->setJustification(Printer::JUSTIFY_CENTER);
	$logo = EscposImage::load("C:/xampp/htdocs/FACTURACION_ELECT/geek.png", false);
    $printer->bitImage($logo);
}catch(Exception $e){/*No hacemos nada si hay error*/}

$printer->text("RUC N°: " .$ruc. "\n");
$printer->text("".$nombre_empresa . "\n");
$printer->text("Direccion: " .$direccion. "\n");

$printer->text(""."\n");

$printer->text("BBB_FACTURA ELECTRONICA:"."\n");
function zerofill ($num, $zerofill = 8){
return str_pad($num, $zerofill, '0', STR_PAD_LEFT); }
$printer->text("".$serie_factura."-".zerofill($id_factura)."\n");

$printer->text(""."\n");
#La fecha también
$printer->setJustification(Printer::JUSTIFY_LEFT);
date_default_timezone_set("America/Lima");
	$printer->text("F. Emisión: " .date("d/m/Y H:i:s")."\n");
	$printer->text("Cliente: ".$nombre_cliente. "\n");
	$printer->text("RUC: ".$ruc_cliente."\n");
	$printer->text("------------------------------------------------\n");
	$printer->text("");


	$printer->text("DESCRIPCION           CANT.   P.UNIT.   P.TOTAL\n");
	$printer->text("------------------------------------------------\n");

$sql_vendedor2=mysqli_query($con, "select * from products, detalle_factura, facturas 
	where products.id_producto=detalle_factura.id_producto 
	and detalle_factura.numero_factura=facturas.numero_factura 
	and facturas.id_factura='".$id_factura."'");
$total='';
$total2='';
while ($rw=mysqli_fetch_array($sql_vendedor2)){
$nombre_producto=$rw["nombre_producto"];
$cantidad=$rw["cantidad"];
$precio_venta=$rw['precio_venta'];
$descuento_venta=$rw['descuento_venta'];
$total+=$precio_venta;
$total2+=$descuento_venta;
$hash=$rw["hash"];
$final1=str_replace("hash","",$hash);
$final2=str_replace("{","",$final1);
$final3=str_replace(":","",$final2);
$final4=str_replace('""',"",$final3);
$final5=str_replace('"',"",$final4);

	$printer->text("".str_pad($nombre_producto, 23)."  ".$cantidad."   ".number_format($cantidad*$precio_venta,2)."     ".number_format($precio_venta,2).""."\n");
 } 

$printer->text("------------------------------------------------\n");

$printer->text("------------------------------------------------\n");
$printer->setJustification(Printer::JUSTIFY_RIGHT);
$printer->text("Op. Gravadas: S/.".number_format($total/1.18,2). "\n");
$printer->text("IGV: S/." .number_format($total-($total/1.18),2).  "\n");
$printer->text("Total a Cobrar: S/." .$total. "\n");
$printer->text("Total a Descuento: S/.".number_format($total2,2). "\n");
$printer->setJustification(Printer::JUSTIFY_CENTER);
//$printer->text("Muchas gracias por su compra\n");
$printer->text("______________________________________________"."\n");

$printer->text("Hash: ".$final5."\n");
$printer->text("Este documento puede ser validado en la siguiente dirección:"."\n");
$printer->text("https://consulta-test.easyfact.tk"."\n");

$printer->text("\n");
$printer->text("\n");
$printer->text("\n");
$printer->feed();
$printer->cut(0);
$printer->pulse();
$printer->close();

 }
?>